\documentclass[noanswers, nolegalese, 11pt]{examjh}
% \documentclass[answers, nolegalese, 11pt]{examjh}
\usepackage{../../../../computingfonts}
\usepackage{../../../../contentmacros}

\setlength{\parindent}{0em}\setlength{\parskip}{0.5ex}
\pagestyle{empty}
\begin{document}\thispagestyle{empty}
\makebox[\textwidth]{Questions for Two.I\hfill  From \textit{Theory of Computation}, by Hef{}feron}\vspace{-1ex}
\makebox[\textwidth]{\hbox{}\hrulefill\hbox{}}


\begin{questions}
\question
For each, either produce such a function or state that it is not possible.
Take $D=\set{1,2,3,4}$ and $C=\set{10,11,12,13,14,15}$.
\begin{parts}
\item A function $\map{f_a}{D}{C}$.
\item A function $\map{f_b}{C}{D}$.
\item A one-to-one function $\map{f_c}{D}{C}$.
\item An onto function $\map{f_d}{D}{C}$.
\item A correspondence $\map{f_e}{D}{C}$.
\end{parts}
\begin{solution}
\begin{parts}
\part
\begin{tabular}[t]{r|*{4}{c}}
  $x$      &$1$ &$2$ &$3$ &$4$  \\
  \cline{2-5}
  $f_a(x)$ &$12$ &$12$ &$12$ &$12$  \\
\end{tabular}
\part
\begin{tabular}[t]{r|*{6}{c}}
  $x$      &$10$ &$11$ &$12$ &$13$ &$14$ &$15$  \\
  \cline{2-7}
  $f_b(x)$ &$3$  &$4$  &$3$  &$1$  &$4$  &$3$  \\
\end{tabular}
\part
\begin{tabular}[t]{r|*{4}{c}}
  $x$      &$1$ &$2$ &$3$ &$4$  \\
  \cline{2-5}
  $f_c(x)$ &$10$ &$11$ &$12$ &$15$  \\
\end{tabular}
\part
There is no such function.
A result in the chapter says that the number of elements in the domain
is greater than or equal to the number of elements in the range.
An onto function would have domain of size four and range of size six.
\part
Since there is no onto function, there is no correspondence.
\end{parts}
\end{solution}

\question
Produce a correspondence, or state that it is not possible, 
between the set and $\N$.
\begin{parts}
\part the even numbers
\part the squares of primes
\part the powers of $3$.
\end{parts}
\begin{solution}
\begin{parts}
\part One correspondence is $f(n)=2n$.
\begin{center}
\begin{tabular}{r|*{7}{c}}
  $x$    &$0$ &$1$ &$2$ &$3$ &$4$ &$5$  &\ldots  \\
  \cline{2-8}
  $f(x)$ &$0$ &$2$ &$4$ &$6$ &$8$ &$10$ &\ldots \\
\end{tabular}
\end{center}
\part This is a correspondence.
\begin{center}
\begin{tabular}{r|*{7}{c}}
  $x$    &$0$ &$1$ &$2$ &$3$ &$4$ &$5$  &\ldots  \\
  \cline{2-8}
  $f(x)$ &$4$ &$9$ &$25$ &$49$ &$121$ &$169$ &\ldots \\
\end{tabular}
\end{center}
\part This is a correspondence.
\begin{center}
\begin{tabular}{r|*{7}{c}}
  $x$    &$0$ &$1$ &$2$ &$3$ &$4$ &$5$  &\ldots  \\
  \cline{2-8}
  $f(x)$ &$1$ &$3$ &$9$ &$27$ &$81$ &$243$ &\ldots \\
\end{tabular}
\end{center}
\end{parts}
\end{solution}


\question
Consider the function $\map{f}{\N}{\N}$ given by
$f(x)=5+2x$.
Is it one-to-one?  Onto?
Justify your assertions.
\begin{solution}
It is one-to-one.
For, let $f(x_0)=f(x_1)$.
Then $5+2x_0=5+2x_1$. 
Subtracting $5$ and cancelling the $2$'s gives $x_0=x_1$.

It is not onto.
For example, no input maps to~$0$
because $0=5+2x$ gives $x=-5/2$, which is not a natural number. 
\end{solution}

\question
Is $\sizeof{S_0}=\sizeof{S_1}$?
If so, exhibit a correspondence.
\begin{parts}
\part $S_0=\set{5,3,1}$, $S_1=\set{1, 3, 5}$
\part $S_0=\set{2k\suchthat k\in\N}$, $S_1=\set{m^3\suchthat m\in\N}$
\part $S_0=\set{n\in\N\suchthat n>4}$, $S_1=\N$
\part $S_0=\set{5,3,1}$, $S_1=\set{n\in\N\suchthat n>4}$
\end{parts}
\begin{solution}
\begin{parts}
\part
The two cardinalities are equal.
One correspondence is the identity function.
\part
The cardinalities are equal.
One correspondence is $\map{f}{S_0}{S_1}$ $f(x)=(x/2)^3$.
\part The cardinalities are equal.
One correspondence is 
$\map{f}{S_1}{S_0}$ given by $n\mapsto n+4$.
\part
The cardinalities are not equal.
There is no onto map from $S_0$ to~$S_1$.
\end{parts}
\end{solution}



\end{questions}
\end{document}
